Package org.eclipse.cdt.core

## Interface IBinaryParser.IBinaryArchive

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinaryParser.IBinaryFile`

All Known Implementing Classes:
  `CygwinPEBinaryArchive`, `CygwinPEBinaryArchive64`, `ElfBinaryArchive`, `GNUElfBinaryArchive`, `MachOBinaryArchive`, `MachOBinaryArchive64`, `PEBinaryArchive`, `PEBinaryArchive64`, `SOMBinaryArchive`, `XCOFFBinaryArchive`

Enclosing interface:
  IBinaryParser

    public static interface IBinaryParser.IBinaryArchive
    extends IBinaryParser.IBinaryFile

Represents an archive.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`ARCHIVE, CORE, EXECUTABLE, OBJECT, SHARED`

### Method Summary

All Methods Instance Methods Abstract Methods
`IBinaryParser.IBinaryObject[]` `getObjects()`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.IBinaryParser.IBinaryFile

`getBinaryParser, getContents, getPath, getType`

### Method Detail

#### getObjects

    IBinaryParser.IBinaryObject[] getObjects()